org.apache.lucene.analysis.ja.tokenattributes

## Class BaseFormAttributeImpl

- java.lang.Object
- - org.apache.lucene.util.AttributeImpl
  - - org.apache.lucene.analysis.ja.tokenattributes.BaseFormAttributeImpl

All Implemented Interfaces:
  Cloneable, BaseFormAttribute, Attribute

    public class BaseFormAttributeImpl
    extends AttributeImpl
    implements BaseFormAttribute, Cloneable

Attribute for `Token.getBaseForm()`.

### Constructor Summary

Constructors
Constructor and Description
`BaseFormAttributeImpl()`

### Method Summary

Methods
`void` `clear()`
`void` `copyTo(AttributeImpl target)`
`String` `getBaseForm()`
`void` `reflectWith(AttributeReflector reflector)`
`void` `setToken(Token token)`

### Methods inherited from class org.apache.lucene.util.AttributeImpl

`clone, reflectAsString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BaseFormAttributeImpl

    public BaseFormAttributeImpl()

### Method Detail

#### getBaseForm

    public String getBaseForm()

Specified by:
  `getBaseForm` in interface `BaseFormAttribute`

#### setToken

    public void setToken(Token token)

Specified by:
  `setToken` in interface `BaseFormAttribute`

#### clear

    public void clear()

Specified by:
  `clear` in class `AttributeImpl`

#### copyTo

    public void copyTo(AttributeImpl target)

Specified by:
  `copyTo` in class `AttributeImpl`

#### reflectWith

    public void reflectWith(AttributeReflector reflector)

Overrides:
  `reflectWith` in class `AttributeImpl`